> For the complete documentation index, see [llms.txt](https://docs.velafi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.velafi.com/velafi-1/api-reference/basic-configuration/get-list-of-countries.md).

# Get List of Countries

This section details the API endpoint used to retrieve a list of countries. It provides options to filter the results based on their validity.

#### Endpoint Information

* **Request Method**: `GET`
* **Request Path**: `/v2/base/countrys`

#### Request Parameters

**Query Parameters**

| Parameter  | Type    | Required | Description                                                                                                    |
| ---------- | ------- | -------- | -------------------------------------------------------------------------------------------------------------- |
| hasFindAll | boolean | No       | Whether to query all countries (default is `false` for valid countries only). Use `true` to get all countries. |

#### Response Structure

The response will contain the following fields:

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": [{
        "country": "Mexico",  // Name of the country
        "abbr": "MX"          // ISO 3166-1 code of the country
    }]
}
```

#### Example Response

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": [
        {
            "country": "Mexico",
            "abbr": "MX"
        },
        {
            "country": "Argentina",
            "abbr": "AR"
        },
        {
            "country": "Brazil",
            "abbr": "BR"
        }
        // Additional countries may be included
    ]
}
```

### Notes

* By default, the API only returns valid countries unless `hasFindAll` is set to `true`.
* The response includes both the country name and its corresponding ISO 3166-1 code for easy reference.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.velafi.com/velafi-1/api-reference/basic-configuration/get-list-of-countries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
